<%@ page contentType="text/html; encoding=utf-8" pageEncoding="utf-8" language="java" %>
<?xml version="1.0" encoding="utf-8"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.1//EN"
    "http://www.w3.org/TR/xhtml11/DTD/xhtml11.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="cs">
  <head>
    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
    <meta name="Keywords" content="" />
    <meta name="Author" content="Lumír Návrat" />
    <title>Elementární příklad na JSP č. 2</title>
  </head>
  <body>
    <p>
    Následující zdrojový kód, který je ve stránce vypíše tabulku, která bude obsahovat 10 řádků.
    V každém řádku budou dva sloupce. V prvním sloupci bude číslo řádku a ve druhém sloupci jeho druhá mocnina.
    </p>
    <code>
    &lt;table border="1"&gt;<br />
    &lt;% for(int i = 1; i &lt;= 10; i++) { %&gt;<br />
    &lt;tr&gt;<br />
      &lt;td&gt;&lt;%= i%&gt;&lt;/td&gt;<br />
      &lt;td&gt;&lt;%= i*i%&gt;&lt;/td&gt;<br />
    &lt;/tr&gt;<br />
    &lt;% } %&gt;<br />
    &lt;/table&gt;<br />
    </code>
    <br />

    <!-- Výkonný kód stránky -->
    <p><strong>Výsledek</strong></p>
    <table border="1">
    <% for(int i = 1; i <= 10; i++) { %>
    <tr>
      <td><%= i%></td>
      <td><%= i*i%></td>
    </tr>
    <% } %>
    </table>
  </body>
</html>
